Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add peer dependency on redux 4.0

Merged
merged 1 commit into from Jun 18, 2019

Conversation

hedgepigdaniel
Copy link
Contributor

@hedgepigdaniel hedgepigdaniel commented Jun 18, 2019

As noted in #205 (comment), react-redux 2.3.0 must be used with redux 4.0 for the typescript typings to be correct.

This adds the missing peer dependency to package.json to ensure that users are warned if they attempt to use incompatible combinations of redux and redux-thunk.

@hedgepigdaniel hedgepigdaniel changed the title Add peer dependebcy on redux 4.0 Add peer dependency on redux 4.0 Jun 18, 2019
@timdorr
Copy link
Member

timdorr commented Jun 18, 2019

Thanks!

@timdorr timdorr merged commit cea3103 into reduxjs:master Jun 18, 2019
1 check passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants